<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huiju.estateagents.property.dao.TpRentalHouseImgMapper">
    <insert id="batchInsert" useGeneratedKeys="true" keyProperty="id" parameterType="java.util.ArrayList">
        insert into tp_rental_house_img(org_id,rental_house_id,img_url,img_type,create_date)
        VALUES
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.orgId},#{item.rentalHouseId},#{item.imgUrl},#{item.imgType},#{item.createDate})
        </foreach>
    </insert>
</mapper>
